#!/bin/sh

# increase the number of file handles
ulimit -S -n 2000

# get the current directory without relying 
# on dirname which might not be installed
dir="${0%/*}"


JavaAppBin=$dir/JavaApp.bin
LocalJavaAppStub=/System/Library/Frameworks/JavaVM.framework/Resources/MacOS/JavaApplicationStub
DefaultHDJavaAppStub="/Volumes/Macintosh HD$LocalJavaAppStub"
VolumesJavaAppStub="/Volumes$LocalJavaAppStub"
if [ -e "$LocalJavaAppStub" ] ; then
    cp "$LocalJavaAppStub" "$JavaAppBin"
elif [ -e "$DefaultHDJavaAppStub" ] ; then
    cp "$JavaAppStub" "$JavaAppBin" 
elif [ -e "$VolumesJavaAppStub" ] ; then
    cp "$VolumesJavaAppStub" "$JavaAppBin"
fi

# run the app from the same process
exec "$JavaAppBin" "$@"

